Subject: RE: Consensus on a new default branch name

From: "Jason Pyeron" <[email-masked]>
Date: Tue, 16 Jun 2020 12:14:55 -0400

> -----Original Message-----
> From: Konstantin Ryabitsev
> Sent: Tuesday, June 16, 2020 12:10 PM
> 
> On Tue, Jun 16, 2020 at 10:31:07AM -0400, Jeff King wrote:
> >
> > My biggest concern here was trying to understand what could break.
> > Having read the patches from Johannes and thought about it a lot, I have
> > a pretty good handle on where Git itself cares about the name. And I
> > feel pretty confident that we can make the change in a way that won't
> > cause problems there (and in fact, I think some of the code will be
> > made more robust by relying on HEAD more appropriately).
> >
> > There's a more open question of what _else_ will break in the ecosystem.
> 
> What if we work on making this configurable for now, but stick with the
> legacy name until we introduce breaking sha1 changes? Almost everything
> will need to retool for those anyway (and all documentation rewritten),
> so it is reasonable to bundle these changes to happen at the same time.

+1 - that will also allow for a more social influence on the other tooling in the ecosystem. Projects new and existing will start to adopt a name, and that will be surveyable.